Katello - Bug #6463

hammer org update org's description is broken
07/01/2014 05:30 PM - Adam Price

Status: Closed
Priority: Normal
Assignee: Adam Price
Category: Hammer
Target version: Katello 2.0
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1114136 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/437
8
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1114136
Description of problem:
When updating an org's description using hammer that does not work.

Version-Release number of selected component (if applicable):

1. hammer --version
hammer (0.1.1) * hammer_cli_foreman (0.1.1) * hammer_cli_katello (0.0.4)

How reproducible:
Aways

Steps to Reproduce:
1. hammer organization update --id=<org_id> --description='interesting description’

Actual results:
Descriptions is not updated although a success message is displayed and when passing a invalid description like a 3000 characters
length string it does not raise any error.

Expected results:
Organization description should be updated and raise an error if a invalid description is provided

Additional info:
1. LANG=en_US hammer -v -u admin -p changeme --output csv organization update --id='67" --description='"interesting
description’
Message,|ld,Name
Organization updated,67,wfc9n0
1. LANG=en_US hammer -v -u admin -p changeme organization info --id='67"
Id: 67
Name: wfcon0
Users:
Smart proxies:
somehost.com
Subnets:
Compute resources:
Installation media:

Templates:

Domains:
Environments:

Hostgroups:

Parameters:

Created at: 2014/06/27 03:48:38
Updated at: 2014/06/27 19:55:59
Label: wfcIn0

Description:

Red Hat Repository URL: https:/cdn.redhat.com

Associated revisions

Revision df52a9bd - 07/16/2014 03:10 PM - Adam Price
fixes #6463 - hammer org update description , BZ 1114136

Revision 89381eae - 07/16/2014 05:16 PM - Adam Price
Merge pull request #4378 from komidore64/rmi6463-hammer-org-description
fixes #6463 - hammer org update description , BZ 1114136

Revision 460f918f - 10/15/2014 06:24 PM - Adam Price
refs #6463 - hammer was unable to update the org's desc, BZ 1114136

Revision 773d9c6d - 10/21/2014 04:23 PM - Adam Price

Merge pull request #4748 from komidore64/rmi6463-organization-desccriptification-station

refs #6463 - hammer was unable to update the org's desc, BZ 1114136

History

#1 - 07/07/2014 11:00 AM - Eric Helms
- Target version set to 49
- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 07/16/2014 03:12 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/katello/pull/4378 added

#3 - 07/16/2014 06:02 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|df52a9bd77928099e74c495122e85e04185660b3.

#4 - 08/22/2014 08:59 AM - Eric Helms

- translation missing: en.field_release set to 13
